---
name:   # (mandatory)
  - language: en   # iso 639-1 language code
    value: "My Course"
  - language: de   # (optional) additional languages can be added optionally
    value: "Mein Kurs"
link: "https://my-course.org/"   # (mandatory) unique landing page of the course
description:   # (recommended)
  - language: en
    value: >-
      This is my description.
  - language: de   # (optional) additional languages can be added optionally
    value: >-
      Dies ist meine Beschreibung.
course:
  studyLoad:   # (recommended)
    studyLoadUnit: ects
    value: 5
  level: bachelor   # (recommended) values are "bachelor", "master", "doctoral"
  fieldsOfStudy: n71  # (recommended) values are just the codes from https://w3id.org/kim/hochschulfaechersystematik/scheme without prefix https://w3id.org/kim/hochschulfaechersystematik/
  learningOutcomes:   # (optional)
    - en: The students have learned basics.
  qualificationRequirements:   # (optional)
    - language: en
      value: Basic knowledge of things.
  resources:   # (optional)
    - "Author: Book, 2024"
  coordinators:   # (recommended)
    - primaryCode:   # (optional)
        codeType: orcId
        code: https://orcid.org/xxxx
      givenName: "Name"   # (mandatory)
      surname: "Surname"   # (mandatory)
      titlePrefix: "Prof. Dr."   # (optional)
teachingLanguage: eng   # iso 639-2 language code
modeOfDelivery:   # (recommended) values are "distance-learning", "on campus", "online", "hybrid", "situated"
  - "on campus"
startDate: "2024-04-10"   # (recommended)
endDate: "2024-07-10"   # (recommended)
academicSession:   # (optional)
  academicSessionType: semester   # (mandatory) values are "academic year", "semester", "trimester", "quarter", "testing period", "period"
  name:
    - language: de
      value: SoSe 2024
  startDate: '2024-04-01'
  endDate: '2024-09-30'
ext:
  courseWorkload: "2 hours per week in term"   # (optional) free text
organization:   # (recommended)
  primaryCode:   # (recommended)
    codeType: identifier
    code: https://ror.org/abcde   # ror identifier of the university
  name:
    - language: en
      value: University   # name of the university
    - language: de   # (optional) additional languages can be added optionally
      value: Universität
  children:   # (optional)
    - name:
        en: Faculty of Something
        de: Fakultät für Etwas   # (optional) additional languages can be added optionally
      organizationType: faculty
    - name:
        en: Department of Something
        de: Fachgebiet Etwas   # (optional) additional languages can be added optionally
      organizationType: institute
